getFile

Prev Next

Available in Classic and VPC

Get a file that a user uploaded and saved.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /files/{tempRequestId}

Request headers

For information about the headers common to all Cloud Outbound Mailer APIs, see Cloud Outbound Mailer request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
tempRequestId String Required Temporary request ID created after running createFile

Request example

The following is a sample request.

curl --location --request GET 'https://mail.apigw.ntruss.com/api/v1/files/f355aac1-7776-4c0b-8484-20eaa065cb65-99' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response body

The following describes the response body.

Field Type Required Description
tempRequestId String - Temporary request ID created upon file upload
  • It can be used to view or delete the file
files List - List of uploaded files

Response status codes

Cloud Outbound Mailer API에서 공통으로 사용하는 응답 상태 코드에 대한 정보는 Cloud Outbound Mailer 응답 상태 코드를 참조해 주십시오.

Response example

The following is a sample response.

{
  "tempRequestId":"f355aac1-7776-4c0b-8484-20eaa065cb65-99",
  "files":[
    {
      "fileName":"test.txt",
      "fileSize":16,
      "fileId":"40fe58bd-91fe-4f89-a62e-705a7c17d65e-99"
    }
  ]
}